Bug 232799 - IDE driver trakes control of SATA dvd/cd-rom - ICH7 I/O controller hub
IDE driver trakes control of SATA dvd/cd-rom - ICH7 I/O controller hub
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://www.serpentine.com/blog/2006/1...
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-17 19:46 EDT by Luis Felipe Marzagao
Modified: 2008-02-07 23:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Felipe Marzagao 2007-03-17 19:46:01 EDT
Description of problem:

If you’re using a fairly modern laptop with an Intel chipset, the chances are
that it has an Intel ICH7 I/O controller hub:

/sbin/lspci | grep -i ide

00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controller IDE (rev 01)

This usually means that your internal hard disk and CD-ROM/DVD drive (if you
have one) are wired using Serial ATA (SATA), not the obsolete Parallel ATA
standard. However, while the Linux SATA driver will happily take control of your
hard disk, for some reason the older IDE driver will often capture the CD-ROM
drive. You can tell by looking at /dev/cdrom:

ls -l /dev/cdrom

lrwxrwxrwx 1 root root 3 Mar 17 20:24 /dev/cdrom -> hdc

If the text after the “->” arrow starts with “hd” as above, the IDE controller
owns your CD-ROM/DVD drive. Everything might initially look okay, because the
CD-ROM/DVD drive will appear to work normally, but performance will turn out to
be awful: try to play a CD or DVD, and you’ll see your notionally speedy laptop
crawl nearly to a halt. If you’ve used Linux on previous generations of laptops,
you’ll know enough to check the output of the hdparm command, to see if the
kernel has DMA enabled on the CD-ROM/DVD drive. It will say no, whereupon you
might try to force the kernel to use DMA, and be stumped when it refuses. The
reason this doesn’t work is that the ICH7 hub is emulating an IDE device, and
the Linux IDE driver doesn’t know how to configure it to use DMA. Never fear;
you don’t need to do this at all.

Instead, configure your kernel to use the newer libata driver to control the
CD-ROM/DVD drive. To do this, you’ll need to modify the kernel’s boot command
line. On Fedora systems, edit /etc/grub.conf, and look for the first line that
starts with bit of white space, followed by the word “kernel“. Append the
following string to it: “combined_mode=libata“.


Version-Release number of selected component (if applicable):

uname -rm
2.6.20-1.2925.fc6 i686


How reproducible:


Steps to Reproduce:
1. Install FC6
2. type ls -l /dev/cdrom

  
Actual results:

you see the IDE driver takes control of your SATA dvd/cd-rom


Expected results:

the SATA driver should take control of your SATA dvd/cd-rom


Additional info:

dmesg | grep -i ide

BIOS-provided physical RAM map:
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
CPU: After generic identify, caps: afe9fbff 00100000 00000000 00000000 0000c109
00000000 00000000
Boot video device is 0000:00:02.0
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ide0: I/O resource 0x1F0-0x1F7 not free.
ide0: ports already in use, skipping probe
Probing IDE interface ide1...
ide1 at 0x170-0x177,0x376 on irq 15
ide-floppy driver 0.99.newide
input: AlpsPS/2 ALPS GlidePoint as /class/input/input3
ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
ata: 0x170 IDE port busy
ata: conflict with ide1
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
ACPI: Video Device [VID2] (multi-head: yes  rom: no  post: no)
ide: failed opcode was: unknown
Comment 1 Jon Stanley 2008-01-07 20:51:51 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:24:36 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.